//+------------------------------------------------------------------+
//|                                  EmailAccountData_Chrisbenjy.mq4 |
//|                                 Copyright  2010, Chris Benjamin |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Chris Benjamin"
#property link      ""

#property indicator_chart_window

extern bool SendEmail = true;
extern int EmailIntervalMins = 300; 


string Subject, BodyText, CurrencySymbol;
datetime EmailTime, NextEmail;
double EmailIntervalSecs;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
      
      Subject = StringConcatenate("Account ", AccountNumber(), " Report");
      EmailIntervalSecs = EmailIntervalMins*60;
      
      CurrencySymbol = StringConcatenate(" ",AccountCurrency());
      
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   if((SendEmail==true) && (NextEmail<TimeCurrent()))
   {
      double floatingProfit = AccountBalance()-AccountEquity();
      
      SendMail(Subject, 
      
      "Account Number: " + AccountNumber() + 
      " | Balance: " + DoubleToStr(AccountBalance(),2) + CurrencySymbol + 
      " | Equity: " + DoubleToStr(AccountEquity(),2) + CurrencySymbol + 
      " | Floating Profit: " + DoubleToStr(AccountProfit(),2) + CurrencySymbol + 
      " | Profit: " + DoubleToStr(AccountProfit(),2) + CurrencySymbol);
      
      EmailTime = TimeCurrent();
      NextEmail = EmailTime+EmailIntervalSecs;
       
   }
   
   return(0);
  }
//+------------------------------------------------------------------+